<?php

namespace Lc\SovBundle\Factory\Site;

use App\Entity\Site\Site;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Site\SiteInterface;

class SiteFactory extends AbstractFactory implements SiteFactoryInterface
{
    public function create(string $devAlias = null): SiteInterface
    {
        $site = new Site();

        $site->setDevAlias($devAlias);

        return $site;
    }
}
